Bug 863364 - Credentials cache file '/tmp/krb5cc_508' not found but I have krb ticket
Credentials cache file '/tmp/krb5cc_508' not found but I have krb ticket
Status: CLOSED NOTABUG
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.8.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: jianchen
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 04:55 EDT by Petr Sklenar
Modified: 2014-07-09 22:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 22:46:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Zichen Zhu 2012-10-09 21:23:52 EDT
We test it several times, but this bug never happened for us, so we cannot figure it out, I am sorry for any inconvenience this may have caused you.
Comment 2 Petr Sklenar 2012-10-10 04:39:56 EDT
It happens only one day when our automation failed due to this issue. Till that time it works well.
So you can close this bug and when I see the similar issue again then I can reopen.

Btw issue can be with time synchronization. Against what server are you synchronized time? Our server for automation is against clock.redhat.com
Comment 3 jianchen 2012-10-10 07:18:27 EDT
It's seems that your keb ticket is out-of-date but TCMS's production-server NTP configuration is correct.
This bug was closed, you can reopen if this bug reproduce.
Comment 4 Petr Sklenar 2012-11-27 03:45:08 EST
I am sorry but I need to reopen this bug:

1, I have valid krb ticket and time was updated recently:

klist 
Ticket cache: FILE:/tmp/krb5cc_508
Default principal: auto/liver.englab.brq.redhat.com@REDHAT.COM

Valid starting     Expires            Service principal
11/27/12 09:24:36  11/27/12 19:24:36  krbtgt/REDHAT.COM@REDHAT.COM
	renew until 11/27/12 09:24:36
11/27/12 09:24:37  11/27/12 19:24:36  HTTP/tcms.app.eng.bos.redhat.com@REDHAT.COM
	renew until 11/27/12 09:24:36


2, start few the same scripts in parallel:
..,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
 run: TR#50668 - TIP rhel6 on RHEL-6.3
...Traceback (most recent call last):
  File "/home/psklenar/tip/tcmsinfo/tcms-info2", line 337, in <module>
    temp=Runs(runs)
  File "/home/psklenar/tip/tcmsinfo/tcms-info2", line 120, in __init__
    self.matrix[caseid]["bugs"]=[x.bug for x in testcaserun.testcase.bugs]
  File "/usr/lib/python2.6/site-packages/nitrate/api.py", line 1835, in __iter__
    for bug in self._bugs:
  File "/usr/lib/python2.6/site-packages/nitrate/api.py", line 1814, in _bugs
    self._get()
  File "/usr/lib/python2.6/site-packages/nitrate/api.py", line 1898, in _get
    hash = self._server.TestCase.get_bugs(self.id)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.6/site-packages/nitrate/xmlrpc.py", line 77, in request_with_cookies
    h = self.make_connection(host)
  File "/usr/lib/python2.6/site-packages/nitrate/xmlrpc.py", line 257, in make_connection
    return SafeCookieTransport.make_connection(self, host)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1406, in make_connection
    host, extra_headers, x509 = self.get_host_info(host)
  File "/usr/lib/python2.6/site-packages/nitrate/xmlrpc.py", line 217, in get_host_info
    raise kerberos.GSSError(e)
kerberos.GSSError: (('Unspecified GSS failure.  Minor code may provide more information', 851968), ("Credentials cache file '/tmp/krb5cc_508' not found", -1765328189))
,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
---
which shows ^ that one of them failed and the rest continued.
Comment 5 cqi 2013-12-12 08:08:55 EST
Does this issue happened again, recently?

Note You need to log in before you can comment on or make changes to this bug.